Bug 1107361 - sphinx: FTBFS in rawhide
Summary: sphinx: FTBFS in rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sphinx
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-10 01:41 UTC by Dennis Gilmore
Modified: 2014-11-18 12:31 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-29 04:10:52 UTC


Attachments (Terms of Use)
build.log (52.51 KB, text/plain)
2014-06-10 01:41 UTC, Dennis Gilmore
no flags Details
root.log (87.90 KB, text/plain)
2014-06-10 01:41 UTC, Dennis Gilmore
no flags Details
state.log (1.06 KB, text/plain)
2014-06-10 01:41 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2014-06-10 01:41:04 UTC
Your package sphinx failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7007029

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-10 01:41:11 UTC
Created attachment 906724 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-10 01:41:13 UTC
Created attachment 906725 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-10 01:41:14 UTC
Created attachment 906726 [details]
state.log

Comment 4 Yaakov Selkowitz 2014-06-17 01:47:47 UTC
Builds successfully on i686/x86_64, OOM on armv7hl.

Comment 5 Fedora Admin XMLRPC Client 2014-10-09 14:33:25 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Gerald Cox 2014-10-29 04:10:52 UTC
As mentioned in comment 4, OOM error occurs on arm.  Temporarily excluding ARM architecture from build until issue can be identified and resolved.

Comment 7 Fedora Update System 2014-11-01 16:46:49 UTC
sphinx-2.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sphinx-2.2.5-1.fc21

Comment 8 Fedora Update System 2014-11-10 06:29:08 UTC
sphinx-2.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-11-10 20:41:46 UTC
sphinx-2.2.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sphinx-2.2.5-2.fc21

Comment 10 Dan Horák 2014-11-11 17:26:11 UTC
(In reply to Gerald Cox from comment #6)
> As mentioned in comment 4, OOM error occurs on arm.  Temporarily excluding
> ARM architecture from build until issue can be identified and resolved.

if excluding an arch, then please use ExcludeArch tag, otherwise you block all other arches - ppc*, s390, ...

Comment 11 Gerald Cox 2014-11-11 18:26:01 UTC
(In reply to Dan Horák from comment #10)
> (In reply to Gerald Cox from comment #6)
> > As mentioned in comment 4, OOM error occurs on arm.  Temporarily excluding
> > ARM architecture from build until issue can be identified and resolved.
> 
> if excluding an arch, then please use ExcludeArch tag, otherwise you block
> all other arches - ppc*, s390, ...

Thanks for the comment.  I had some issues getting that tag recognized.  Peter Robinson helped me with that and I'll be using it if the same situation arises in the future.

Comment 12 Fedora Update System 2014-11-18 12:31:17 UTC
sphinx-2.2.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.